Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Interface SessionIdManager

All Superinterfaces:
  LifeCycle

All Known Implementing Classes:
  HashSessionIdManager

    public interface SessionIdManager

extends LifeCycle

Author:
  gregw

Method Summary
`void` | `addSession(HttpSession session)` Add a session to the list of known sessions for a given ID.
`String` | `getClusterId(String nodeId)` Get a cluster ID from a node ID.
`String` | `getNodeId(String clusterId, HttpServletRequest request)` Get a node ID from a cluster ID and a request
`String` | `getWorkerName()`
`boolean` | `idInUse(String id)`
`void` | `invalidateAll(String id)` Call `HttpSession.invalidate()` on all known sessions for the given id.
`String` | `newSessionId(HttpServletRequest request, long created)`
`void` | `removeSession(HttpSession session)` Remove session from the list of known sessions for a given ID.

Methods inherited from interface org.mortbay.component.LifeCycle
`isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, start, stop`

Method Detail

### idInUse

    boolean idInUse(String id)

  Parameters:
    `id` - The session ID without any cluster node extension
  Returns:
    True if the session ID is in use by at least one context.

### addSession

    void addSession(HttpSession session)

  Add a session to the list of known sessions for a given ID.

  Parameters:
    `session` - The session

### removeSession

    void removeSession(HttpSession session)

  Remove session from the list of known sessions for a given ID.

  Parameters:
    `session` -

### invalidateAll

    void invalidateAll(String id)

  Call `HttpSession.invalidate()` on all known sessions for the given id.

  Parameters:
    `id` - The session ID without any cluster node extension

### newSessionId

    String newSessionId(HttpServletRequest request,
                        long created)

  Parameters:
    `request` -
    `created` -
  Returns:

### getWorkerName

    String getWorkerName()

### getClusterId

    String getClusterId(String nodeId)

  Get a cluster ID from a node ID. Strip node identifier from a located session ID.

  Parameters:
    `nodeId` -
  Returns:

### getNodeId

    String getNodeId(String clusterId,
                     HttpServletRequest request)

  Get a node ID from a cluster ID and a request

  Parameters:
    `clusterId` - The ID of the session
    `request` - The request that for the session (or null)
  Returns:
    The session ID qualified with the node ID.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.